summaryrefslogtreecommitdiffstats
path: root/games/domination/domination.SlackBuild
diff options
context:
space:
mode:
author B. Watson2016-10-28 00:41:58 +0200
committer Willy Sudiarto Raharjo2016-10-28 00:41:58 +0200
commit59e668ade236a9081f480158e8b794667c6d0667 (patch)
treec0eb48909e3a3a23ead4491b316545cdede629eb /games/domination/domination.SlackBuild
parentcc2254d046e9cadd8f856873f693a1a27c0e1466 (diff)
downloadslackbuilds-59e668ade236a9081f480158e8b794667c6d0667.tar.gz
games/domination: Added (clone of the board game Risk).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/domination/domination.SlackBuild')
-rw-r--r--games/domination/domination.SlackBuild98
1 files changed, 98 insertions, 0 deletions
diff --git a/games/domination/domination.SlackBuild b/games/domination/domination.SlackBuild
new file mode 100644
index 0000000000..80ae5af9b6
--- /dev/null
+++ b/games/domination/domination.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for domination
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# See README_SBo.txt for more info on this script (I wrote too many
+# comments, moved them to a separate file).
+
+PRGNAM=domination
+VERSION=${VERSION:-1.1.1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=Domination
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+unzip $CWD/${SRCNAM}_$VERSION.zip
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# We don't need Windows exes or OSX app bundles. Or the source. Or
+# in fact upstream's wrapper scripts (we include our own).
+rm -rf *.exe *.app *.cmd *.zip *.htm *.sh ._*
+
+# Docs first, get rid of DOS line endings.
+sed -i 's,\r,,' *.txt
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Everything else goes in the game dir. share/ is OK as there's no
+# native binaries.
+mkdir -p $PKG/usr/share/games/$PRGNAM
+mv * $PKG/usr/share/games/$PRGNAM
+
+# Wrapper scripts.
+mkdir -p $PKG/usr/games
+install -m0755 $CWD/$PRGNAM.sh $PKG/usr/games/$PRGNAM
+ln -s $PRGNAM $PKG/usr/games/$PRGNAM-swing
+
+# resources/icon.png is only 16x16. Use 128x128 icon instead, extracted
+# from the OSX app bundle with icns2png.
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# .desktop written for this SlackBuild.
+APPDIR=$PKG/usr/share/applications
+mkdir -p $APPDIR
+cat $CWD/$PRGNAM.desktop > $APPDIR/$PRGNAM.desktop
+cat $CWD/$PRGNAM-swing.desktop > $APPDIR/$PRGNAM-swing.desktop
+
+# no man pages, no command-line options.
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}